package com.shanpin.sales.wap.module.webchat;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 微信服务器推送到此控制层 <p>
 * （接入微信入口）</p>
 */
@Controller
@Scope("prototype")
public class WechatController {
	
	@Autowired
	private WechatService wechatService; //多例

	@RequestMapping("/wechat")
	public void execute(HttpServletRequest request, HttpServletResponse response) throws Exception{
		wechatService.setRequest(request);
		String result = wechatService.execute();
		response.getOutputStream().write(result.getBytes("UTF-8"));
	}
}
