<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta name='viewport' content="width=device-width,initial-scale=1.0,user-scalable=0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="renderer" content="webkit" />
	<meta content="yes" name="apple-mobile-web-app-capable">
	<meta content="yes" name="apple-touch-fullscreen">
	<meta name="keywords" content="登录" />
	<meta name="description" content="登录" />
	<title>登录</title>
	<link rel="stylesheet" href="/income/wap/css/base.css">
	<link rel="stylesheet" href="/income/wap/css/main.css">
	<link rel="stylesheet" type="text/css" href="/income/wap/js/plugins/layer/skin/layer.css" />
	<script type="text/javascript" src="/income/wap/js/viewport.js"></script>
</head>
<body>
	<div class="m-box">
		<form id="loginForm" action="/income/wap/user/login" method="post">
			<p class="m-title">若未绑定账户，需注册绑定</p>
			<div class="m-edit-view m-breach-line">
				<span>手机号</span>
				<input type="text" name="phone" value="${phone }" placeholder="请输入您的手机号" />
			</div>
			<div class="m-edit-view">
				<span>密码</span>
				<input type="hidden" name="password" />
				<input type="password" name="plain" placeholder="请输入您的登录密码" />
			</div>
			<div class="m-lr-btn-box">
				<a id="bindBtn" class="m-left-btn">注册绑定</a>
				<a id="findPswBtn" class="m-right-btn">忘记密码</a>
			</div>
			<a id="loginBtn" class="m-button">登录</a>
		</form>
	</div>
	<script type="text/javascript" src="/income/wap/js/jquery.js"></script>
	<script type="text/javascript" src="/income/wap/js/jQuery.md5.js"></script>
	<script type="text/javascript" src="/income/wap/js/plugins/layer/layer.js"></script>
	<script type="text/javascript" src="/income/wap/js/verify.js"></script>
	<script>
		$(function(){
			var msg = "${msg}";
			if (msg) {
	           layer.msg(msg);
			}
			
			$("#bindBtn").click(function(){
				window.location.href = "/income/wap/user/bind";
			});
			$("#findPswBtn").click(function(){
				window.location.href = "/income/wap/user/findpsw";
			});
			$("#loginBtn").click(function(){
				var phone = $("input[name='phone']").val();
				var password = $("input[name='plain']").val();
				if(!phone) {
					layer.msg("手机号必填");
					return;
				}
				if(!$.verifyPhone(phone)) {
					return;
				}
				if(!password) {
					layer.msg("登录密码必填");
					return;
				}
				$("input[name='password']").val($.md5(password));
				$("#loginForm").submit();
			});
		});
	</script>
</body>
</html>