var myScroll,pullDownEl, pullDownOffset,pullUpEl, pullUpOffset, docHeight, generatedCount = 0;

function scrollLoad(init, pullDown, pullUp) {
	//动画部分
	docHeight = document.documentElement.clientHeight;
	pullDownEl = document.getElementById('pullDown');
	pullDownOffset = pullDownEl.offsetHeight;
	pullUpEl = document.getElementById('pullUp');	
	pullUpOffset = pullUpEl.offsetHeight;
	myScroll = new iScroll('wrapper', {
		useTransition: true,
		topOffset: pullDownOffset,
		onRefresh: function () {
			if (pullDownEl.className.match('loading')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '';
			} else if (pullUpEl.className.match('loading')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '';
			}
		},
		onScrollMove: function () {
			if (this.y+pullDownOffset > 50 && !pullDownEl.className.match('flip')) {
				pullDownEl.className = 'flip';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '释放刷新';
				this.minScrollY = 0;
			} else if (this.y+pullDownOffset < 50 && pullDownEl.className.match('flip')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '';
				this.minScrollY = -pullDownOffset;
			} else if (this.y+pullDownOffset < -50 && !pullUpEl.className.match('flip')) {
				pullUpEl.className = 'flip';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '释放刷新';
				this.maxScrollY = this.maxScrollY;
			} else if (this.y+pullDownOffset > -50 && pullUpEl.className.match('flip')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '';
				this.maxScrollY = pullUpOffset;
			}
		},
		onScrollEnd: function () {
			if (pullDownEl.className.match('flip')) {
				pullDownEl.className = 'loading';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '加载中';				
				pullDownAction();
			} else if (pullUpEl.className.match('flip')) {
				pullUpEl.className = 'loading';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '加载中';				
				pullUpAction();
			}
		}
	});
	
	loadAction();
	
	//初始状态，加载数据
	function loadAction(){
		if(init) {
			init();
		}
		myScroll.refresh();
	}

	//下拉刷新当前数据
	function pullDownAction () {
		setTimeout(function () {
			if(pullDown) {
				pullDown();
			}
			myScroll.refresh();
		}, 400);
	}

	//上拉加载更多数据
	function pullUpAction () {
		setTimeout(function () {
			if(pullUp) {
				pullUp();
			}
			myScroll.refresh();
		}, 400);
	}
}
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);//阻止冒泡