package com.shanpin.sales.logic.module.push;

import org.apache.commons.lang3.StringUtils;

public class SalerOrder {

	/** 微信的交易流水号 */
	private String trade_no;
	/** 销售员手机号 */
	private String phone;
	/** 消费金额 */
	private float total_fee;
	/** 交易时间 */
	private String trade_time;
	/** 公司标识 */
	private String company_id;
	/** 公司名称 */
	private String company;
	/** 参数签名 */
	private String sign;
	
	public String check() {
		if (StringUtils.isBlank(trade_no)) {
			return "trade_no需要值";
		} else if (StringUtils.isBlank(phone)) {
			return "phone需要值";
		} else if (total_fee < 1.0) {
			return "total_fee需要>=1";
		} else if (StringUtils.isBlank(trade_time)) {
			return "trade_time需要值";
		} else if (StringUtils.isBlank(company_id)) {
			return "company_id需要值";
		} else if (StringUtils.isBlank(company)) {
			return "company需要值";
		} else if (StringUtils.isBlank(sign)) {
			return "sign需要值";
		}
		return null;
	}

	public String getTrade_no() {
		return trade_no;
	}

	public void setTrade_no(String trade_no) {
		this.trade_no = trade_no;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public float getTotal_fee() {
		return total_fee;
	}

	public void setTotal_fee(float total_fee) {
		this.total_fee = total_fee;
	}

	public String getTrade_time() {
		return trade_time;
	}

	public void setTrade_time(String trade_time) {
		this.trade_time = trade_time;
	}

	public String getCompany_id() {
		return company_id;
	}

	public void setCompany_id(String company_id) {
		this.company_id = company_id;
	}

	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

}
