package com.shanpin.sales.wap.module.base.model;

import org.joda.time.DateTime;

public class SmsTime {
	
	private String num;
	private int secs;
	
	public static SmsTime valueOf(String num) {
		SmsTime st = new SmsTime();
		st.num = num;
		st.secs = DateTime.now().getSecondOfDay();
		return st;
	}
	
	/** 间隔达到秒数才可以发短信 */
	public boolean isAllow() {
		int sec = DateTime.now().getSecondOfDay();
		if (sec > secs) {
			return sec - secs > 90 ? true : false;
		}
		return sec > 50 ;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	public int getSecs() {
		return secs;
	}

	public void setSecs(int secs) {
		this.secs = secs;
	}
	
	

}
