package com.shanpin.sales.wap.module.trade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.shanpin.sales.wap.db.AppDbRepository;
import com.shanpin.sales.wap.module.trade.model.Withdraw;
import com.shanpin.sales.wap.module.trade.model.WithdrawStatus;

@Repository
public class WithdrawDao {

	@Autowired
	private AppDbRepository jdbc;
	
	public List<Withdraw> list(int uid, int direction, int wid, int limit) {
		//direction == 1 加载最新数据
		//direction == 2 加载以前数据
		String sql = "select * from t_user_withdraw where uid=? and wid "+(direction == 1? ">" : "<")+" ? order by wid desc limit ?";
		return jdbc.query(sql, Withdraw.MAPPER, 
				uid, wid, limit);
	}
	
	public int add(int uid, double applyFee) {
		String sql = "insert into t_user_withdraw(`uid`, `apply_fee`, `status`, `apply_time`) values (?, ?, ?, now())";
		return jdbc.insert(sql, "wid", 
				uid, applyFee, WithdrawStatus.dealing.getNum());
	}
	
}
