package com.shanpin.sales.wap.module.trade.model;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

//t_user_trade
public class Trade {
	
	private String phone;
	private String company;
	private double total_fee;
	private double income;
	private long trade_time;
	
	public static RowMapper<Trade> MAPPER = new RowMapper<Trade>() {

		@Override
		public Trade mapRow(ResultSet rs, int rowNum) throws SQLException {
			Trade t = new Trade();
			t.setPhone(rs.getString("phone"));
			t.setCompany(rs.getString("company"));
			t.setTotal_fee(rs.getDouble("total_fee"));
			t.setIncome(rs.getDouble("income"));
			t.setTrade_time(rs.getTimestamp("trade_time").getTime());
			return t;
		}
	};
	
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getCompany() {
		return company;
	}
	public void setCompany(String company) {
		this.company = company;
	}
	public double getTotal_fee() {
		return total_fee;
	}
	public void setTotal_fee(double total_fee) {
		this.total_fee = total_fee;
	}
	public double getIncome() {
		return income;
	}
	public void setIncome(double income) {
		this.income = income;
	}
	public long getTrade_time() {
		return trade_time;
	}
	public void setTrade_time(long trade_time) {
		this.trade_time = trade_time;
	}
}
