package com.shanpin.sales.wap.module.trade.model;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Date;

import org.springframework.jdbc.core.RowMapper;

//t_user_withdraw
public class Withdraw {

	private int wid;
	private int uid;
	private double apply_fee;
	private WithdrawStatus status;
	private Date apply_time;
	private Date finish_time;
	
	public static RowMapper<Withdraw> MAPPER = new RowMapper<Withdraw>() {
		@Override
		public Withdraw mapRow(ResultSet rs, int rowNum) throws SQLException {
			Withdraw w = new Withdraw();
			w.setWid(rs.getInt("wid"));
			w.setUid(rs.getInt("uid"));
			w.setApply_fee(rs.getDouble("apply_fee"));
			w.setStatus(WithdrawStatus.of(rs.getInt("status")));
			w.setApply_time(rs.getTimestamp("apply_time"));
			w.setFinish_time(rs.getTimestamp("finish_time"));
			return w;
		}
	};
	
	public int getWid() {
		return wid;
	}
	public void setWid(int wid) {
		this.wid = wid;
	}
	public int getUid() {
		return uid;
	}
	public void setUid(int uid) {
		this.uid = uid;
	}
	public double getApply_fee() {
		return apply_fee;
	}
	public void setApply_fee(double apply_fee) {
		this.apply_fee = apply_fee;
	}
	public WithdrawStatus getStatus() {
		return status;
	}
	public void setStatus(WithdrawStatus status) {
		this.status = status;
	}
	public Date getApply_time() {
		return apply_time;
	}
	public void setApply_time(Date apply_time) {
		this.apply_time = apply_time;
	}
	public Date getFinish_time() {
		return finish_time;
	}
	public void setFinish_time(Date finish_time) {
		this.finish_time = finish_time;
	}
}