package com.shanpin.sales.wap.module.trade.model;

public enum WithdrawStatus {

	dealing(1, "提现中"),
	success(2, "已到账")
	;
	
	public static WithdrawStatus of(int num) {
		WithdrawStatus[] binds = WithdrawStatus.values();
		for(WithdrawStatus bind : binds) {
			if(bind.getNum() == num) {
				return bind;
			}
		}
		return null;
	}
	
	private int num;
	private String name;
	WithdrawStatus(int num, String name) {
		this.num = num;
		this.name = name;
	}
	public int getNum() {
		return num;
	}
	public void setNum(int num) {
		this.num = num;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
}
