package com.shanpin.sales.wap.module.user.model;

public enum UserBind {

	no(1, "未绑定"),
	phone(2, "绑定号码"),
	idCard(3, "绑定身份")
	;
	
	public static UserBind of(int num) {
		UserBind[] binds = UserBind.values();
		for(UserBind bind : binds) {
			if(bind.getNum() == num) {
				return bind;
			}
		}
		return null;
	}
	
	private int num;
	private String name;
	UserBind(int num, String name) {
		this.num = num;
		this.name = name;
	}
	public int getNum() {
		return num;
	}
	public void setNum(int num) {
		this.num = num;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
}
