package com.shanpin.sales.wap.shiro;

import org.apache.shiro.authc.AuthenticationToken;

import com.shanpin.sales.wap.module.user.model.UserLogin;

public class LoginToken implements AuthenticationToken {
	
	private static final long serialVersionUID = 1L;

	private UserLogin userLogin;
	
	private String openId;
	
	private String phone;
	private String password;
	
	public LoginToken(String openId) {
		this.openId = openId;
	}
	
	public LoginToken(String phone, String password) {
		this.phone = phone;
		this.password = password;
	}
	
	@Override
	public Object getCredentials() {
		return this.password;
	}
	@Override
	public Object getPrincipal() {
		return this.userLogin;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getOpenId() {
		return openId;
	}
	public void setOpenId(String openId) {
		this.openId = openId;
	}
	public UserLogin getUserLogin() {
		return userLogin;
	}
	public void setUserLogin(UserLogin userLogin) {
		this.userLogin = userLogin;
	}
}
