/**
 * 
 */
package com.shanpin.sales.wap.webchat4j.token;

import com.shanpin.sales.wap.webchat4j.token.server.AccessTokenServer;
import com.shanpin.sales.wap.webchat4j.token.server.JsApiTicketServer;
import com.shanpin.sales.wap.webchat4j.token.server.TicketServer;
import com.shanpin.sales.wap.webchat4j.token.server.TokenServer;


/**
 * AccessToken代理
 * 所有获取accessToken的地方都通过此代理获得
 * 获得方法String token = AccessTokenProxy.token()
 * @author ChengNing
 * @date   2015年1月9日
 */
public class TokenProxy {
	
	/**
	 * 通过代理得到accessToken的串
	 */
	public static String accessToken(){
		TokenServer accessTokenServer = new AccessTokenServer();
		String accessToken = accessTokenServer.token();
		return accessToken;
	}
	
	/**
	 * 通过代理得到jsapi_ticket
	 */
	public static String jsApiTicket(){
		TicketServer ticketServer = new JsApiTicketServer();
		return ticketServer.ticket();
	}
	
}
