package com.shanpin.core.status;

public enum UStatus implements IStatus {
	
	VERIFY_FAIL(10001, "验证码不正确."),
	PHONE_BINDED(10002, "手机号已绑定."),
	UNLOGIN(10003, "需要登录"),
	UNIDENTIFY(10004, "需要完成身份认证")
	;
	
	private final int num;
	private final String msg;
	
	private UStatus(int num, String msg) {
		this.num = num;
		this.msg = msg;
	}
	
	public int getCode(){
		return num;
	}
	public String getMsg() {
		return msg;
	}
}
