package com.shanpin.sales.logic.module.config;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import com.shanpin.core.http.HttpHelper;
import com.shanpin.core.http.MJsonView;
import com.shanpin.sales.logic.module.IUri;

@Controller
@RequestMapping("/wxsales")
public class ConfigController {
	
	private final String PSW = "jahe&config-Req123";
	
	@Autowired
	private ConfigService configService;

	/**
	 * 配置换算比例
	 * @param req
	 * @param psw
	 * @param ratio
	 * @throws IOException
	 */
	@RequestMapping(value=IUri.CONFIG_RATIO, method=RequestMethod.GET)
	public ModelAndView setRatio(HttpServletRequest req, String psw, float ratio) throws IOException {
		if (PSW.equals(psw) && "127.0.0.1".equals(HttpHelper.getIp(req))) {
			configService.setRatio(ratio);
			return MJsonView.ok();
		}
		return MJsonView.fail();
	}
		
		
}
