package com.shanpin.sales.logic.module.push;

import java.util.Comparator;
import java.util.Map;
import java.util.TreeMap;

import com.shanpin.core.utils.DigestUtil;
import com.shanpin.core.utils.JsonUtil;

/**
 * 字段的排序签名
 * @author jahe.lai
 *
 */
public class SortSign {

	public static String genSign(String params, String signKey) {
		@SuppressWarnings("unchecked")
		Map<String, Object> map = (Map<String, Object>) JsonUtil.string2Map(params);
		Map<String, Object> p = new TreeMap<>(new Comparator<String>() {
			@Override
			public int compare(String o1, String o2) {
				return o1.compareTo(o2);
			}
		});
		p.putAll(map);

		StringBuilder b = new StringBuilder();
		for (String key : p.keySet()) {
			if (null == p.get(key) || key.equals("sign")) {
				continue;
			}
			b.append(key + "=" + p.get(key) + "&");
		}
		String s = b.toString() + "key=" + signKey;
		String sign = DigestUtil.md5Hex(s).toUpperCase();
		return sign;
	}	
	

}
